# Class GetXmrTxsRequest

#### Hierarchy

- unknown
  - GetXmrTxsRequest

- Defined in src/protobuf/grpc_pb.d.ts:3094
- Defined in src/protobuf/grpc_pb.d.ts:3103

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetXmrTxsRequest(): GetXmrTxsRequest

- #### Returns GetXmrTxsRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3095

### toObject

- toObject(includeInstance?: boolean): GetXmrTxsRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetXmrTxsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3096

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrTxsRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrTxsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3099

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrTxsRequest, reader: BinaryReader): GetXmrTxsRequest

- #### Parameters

  - ##### message: GetXmrTxsRequest

  - ##### reader: BinaryReader

  #### Returns GetXmrTxsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3100

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrTxsRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetXmrTxsRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3098

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetXmrTxsRequest): GetXmrTxsRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrTxsRequest

  #### Returns GetXmrTxsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3097

Generated using TypeDoc